Subject: Re: [RFC PATCH v2 0/6] test-tool: add unit test suite runner

From: Josh Steadmon <[email-masked]>
Date: Mon, 12 Feb 2024 14:50:37 -0800

On 2024.02.03 10:52, Junio C Hamano wrote:
> Josh Steadmon <[email-masked]> writes:
> > * We should determine whether it is confusing or otherwise harmful to
> >   people's workflow to have the unit tests run in parallel with shell
> >   tests when using prove as the default test target.
> 
> I do not know much about "confusing" thing, but if the user
> allocates, say, 16 jobs to run tests in parallel, and one of them
> drives the "unit test suite runner" that wants to do its own
> parallelism, we'd easily end up busting the resource limit the
> end-user desires.  It does not necessarily mean that we should limit
> the parallelism of "unit test suite runner" to 1 under prove, though.

The current `prove` helper script does not do any separate parallelism,
so we are fine in that case, and the new test-tool runner does not
currently support running both unit tests and shell tests in the same
process, so we should be OK in either case.